#clock

#effect
effect give @a[team=red] minecraft:saturation 1 0 true
effect give @a[team=red] minecraft:jump_boost 1 254 true
effect give @a[team=red] minecraft:speed 1 0 true
effect give @a[team=!red] minecraft:weakness 1 127 true
execute as @a[team=!red] if entity @s[nbt={SelectedItem:{tag:{item51:1b}}}] run effect clear @s minecraft:weakness
effect give @a minecraft:resistance 1 4 true
effect give @a minecraft:instant_health 1 0 true

#kyouhakkou
execute as @a[nbt={ActiveEffects:[{Id:12b}]}] run effect give @s minecraft:glowing 1 0 false

#water
execute as @a at @s if block ~ ~ ~ minecraft:water run effect give @s minecraft:unluck 1 0 true
#function
execute if entity @a[scores={attack=0..},team=red] run function cmdata:command/oni
execute if score set game matches 1 if entity @a[scores={sneak=1},tag=!sneak] run function cmdata:command/use
execute if score set game matches 1 run function cmdata:command/passive
execute if score loadtime game matches 1.. run function cmdata:command/load
execute if entity @a[tag=!idset] at @a[tag=!idset] run function cmdata:command/idset
function cmdata:command/ender
execute if score set game matches 0 run kill @e[type=minecraft:potion]
execute if score set game matches 0 run kill @e[type=minecraft:egg]
execute if score set game matches 0 run particle minecraft:falling_dust pink_wool 0.00 13.03 4.99 16 8 16 1 1 normal

#game
execute if score set game matches 1 if score time game matches 0 run function cmdata:command/end
execute if score time game matches 1.. run scoreboard players remove time game 1

#A----------------------------------------------------------------------------------------------------------------------------

#run-set
execute as @a[scores={run=0..},team=blue] unless entity @s[scores={item61=12..}] run scoreboard players operation @s sprintstop = @s sprintstoptime
execute as @a[team=blue,nbt={ActiveEffects:[{Id:27b}]}] unless entity @s[scores={item61=12..}] run scoreboard players operation @s sprintstop = @s sprintstoptime
execute as @a store result score @s food run data get entity @s foodSaturationLevel 1

#run-main
execute as @a[scores={sprintstop=1..}] run scoreboard players remove @s sprintstop 1
execute as @a[scores={sprintstop=1..,food=3..}] run effect give @s minecraft:hunger 1 127 true
execute as @a[scores={sprintstop=1..,food=..3}] unless entity @s[nbt={ActiveEffects:[{Id:27b}]}] run effect give @s minecraft:hunger 1 17 true
execute as @a[scores={sprintstop=1..,food=..3}] if entity @s[nbt={ActiveEffects:[{Id:27b}]}] run effect give @s minecraft:hunger 1 49 true
execute as @a[scores={sprintstop=0,food=..19}] run effect give @s minecraft:saturation 1 0 true
execute as @a[scores={sprintstop=0,food=20},tag=item66] run tag @s remove item66
execute as @a[scores={sprintstop=0,food=20},tag=item81] run tag @s remove item81

#B----------------------------------------------------------------------------------------------------------------------------
#move
execute if entity @a[scores={move=1..}] as @a[scores={move=1..}] run scoreboard players reset @s move

#stun
execute if entity @a[scores={cool=2..}] as @a[scores={cool=10..}] unless entity @s[x_rotation=90] at @s run tp @s ~ ~ ~ ~ 90
execute if entity @a[scores={cool=1..}] as @a[scores={cool=1..}] run scoreboard players remove @s cool 1
execute if entity @a[scores={cool=2..}] as @a[scores={cool=2..}] run effect give @s minecraft:weakness 10 127 true
execute if entity @a[scores={cool=2..}] as @a[scores={cool=2..}] run effect give @s minecraft:slowness 10 127 true
execute if entity @a[scores={cool=2..}] as @a[scores={cool=10..}] run effect give @s minecraft:blindness 10 0 true
execute if entity @a[scores={cool=2..}] as @a[scores={cool=9}] run effect clear @s minecraft:blindness 
execute if entity @a[scores={cool=1}] as @a[scores={cool=1}] run effect clear @s
execute if entity @a[scores={cool=9}] as @a[scores={cool=9}] at @s run tp @s ~ ~ ~ ~ 80
execute if entity @a[scores={cool=8}] as @a[scores={cool=8}] at @s run tp @s ~ ~ ~ ~ 70
execute if entity @a[scores={cool=7}] as @a[scores={cool=7}] at @s run tp @s ~ ~ ~ ~ 60
execute if entity @a[scores={cool=6}] as @a[scores={cool=6}] at @s run tp @s ~ ~ ~ ~ 50
execute if entity @a[scores={cool=5}] as @a[scores={cool=5}] at @s run tp @s ~ ~ ~ ~ 40
execute if entity @a[scores={cool=4}] as @a[scores={cool=4}] at @s run tp @s ~ ~ ~ ~ 30
execute if entity @a[scores={cool=3}] as @a[scores={cool=3}] at @s run tp @s ~ ~ ~ ~ 20
execute if entity @a[scores={cool=2}] as @a[scores={cool=2}] at @s run tp @s ~ ~ ~ ~ 10
execute if entity @a[scores={cool=1}] as @a[scores={cool=1}] at @s run tp @s ~ ~ ~ ~ 0
execute if entity @a[scores={cool=1}] as @a[scores={cool=1},team=red,nbt={Inventory:[{tag:{item28:1b}}]}] run effect give @s minecraft:speed 5 3 false
execute if entity @a[scores={cool=1}] as @a[scores={cool=1},team=red,nbt={Inventory:[{tag:{item28:1b}}]}] run tellraw @s {"text":"\u30d1\u30c3\u30b7\u30d6:\u30b9\u30bf\u30fc\u30c8\u30c0\u30c3\u30b7\u30e5","color":"green"}

execute if entity @a[scores={cool=1}] as @a[scores={cool=1,oni-count=1},team=red,nbt={Inventory:[{tag:{item86:1b}}]}] run tellraw @s {"text":"\u30d1\u30c3\u30b7\u30d6\uff1a\u81ea\u4fe1","color":"green"}
execute if entity @a[scores={cool=1}] as @a[scores={cool=1,oni-count=1},team=red,nbt={Inventory:[{tag:{item86:1b}}]}] run effect give @a[team=blue] minecraft:glowing 15 0 false
execute if entity @a[scores={cool=1}] as @a[scores={cool=1,oni-count=1},team=red,nbt={Inventory:[{tag:{item86:1b}}]}] run tellraw @a[team=blue] {"text":"\u30d1\u30c3\u30b7\u30d6\uff1a\u81ea\u4fe1","color":"green"}
execute if entity @a[scores={cool=1}] as @a[scores={cool=1,oni-count=2..},team=red,nbt={Inventory:[{tag:{item86:1b}}]}] run tellraw @s {"text":"\u30d1\u30c3\u30b7\u30d6\uff1a\u4e0d\u5b89","color":"green"}
execute if entity @a[scores={cool=1}] as @a[scores={cool=1,oni-count=2..},team=red,nbt={Inventory:[{tag:{item86:1b}}]}] run effect give @s minecraft:blindness 10 0 false


#item
execute as @a at @s run tp @s ^ ^ ^ facing entity @e[tag=lookme,limit=1,sort=nearest] feet
execute if entity @e[type=item,nbt={OnGround:1b,Item:{tag:{item53:1b}}}] as @e[type=item,nbt={OnGround:1b,Item:{tag:{item53:1b}}}] at @s run playsound minecraft:entity.player.hurt master @a ~ ~ ~ 2 1
execute if entity @e[type=item,nbt={OnGround:1b,Item:{tag:{item53:1b}}}] as @e[type=item,nbt={OnGround:1b,Item:{tag:{item53:1b}}}] at @s run playsound minecraft:entity.player.small_fall master @a ~ ~ ~ 2 1


#C----------------------------------------------------------------------------------------------------------------------------

execute as @a[scores={run=0..}] run scoreboard players reset @s run
execute as @a[scores={move=0..}] run scoreboard players reset @s move
execute as @a[scores={attack=0..}] run scoreboard players reset @s attack
execute as @a[scores={damage=0..}] run scoreboard players reset @s damage
execute if entity @a[scores={sneak=0..}] run function cmdata:command/sneak


#itemkill
execute as @e[type=item] unless entity @s[nbt={PickupDelay:32767s}] run data merge entity @s {PickupDelay:32767s}
execute if entity @e[type=item,nbt={OnGround:1b}] run kill @e[type=item,nbt={OnGround:1b}]
execute if entity @e[type=arrow,nbt={inGround:1b}] run kill @e[type=arrow,nbt={inGround:1b}]

